use crate::components::werefox_card_title::WerefoxCardTitle;
use crate::utils::prop_structs::ImageProps;
use dioxus::prelude::*;

#[component]
pub fn WerefoxCard(
    card_title: String,
    children: Element,
    title_emoji: Option<ImageProps>,
) -> Element {
    rsx! {
        div { class: "p-4 space-y-4 text-center text-alice-werefox-red-dark dark:text-alice-werefox-red-light rounded-lg ring-2 ring-alice-werefox-red-dark dark:ring-alice-werefox-red bg-alice-werefox-grey-lightest dark:bg-alice-werefox-grey-dark",
            WerefoxCardTitle { card_title: card_title, title_emoji: title_emoji }
            div { class: "p-4 space-y-4 rounded-sm ring-2 ring-alice-werefox-red-dark dark:ring-alice-werefox-red",
                { children }
            }
        }
    }
}
